#pragma once
#include <QObject>

class OutputDevice : public QObject
{
	Q_OBJECT

private:
	OutputDevice(QObject *parent = Q_NULLPTR) : QObject(parent) {};

public:
	OutputDevice(OutputDevice const&) = delete;
	void operator=(OutputDevice const&) = delete;

	~OutputDevice() {};

	static OutputDevice* getInstance(QObject *parent = Q_NULLPTR) {
		static OutputDevice* instance = new OutputDevice(parent);
		return instance;
	};

	void print(QString message, int severity) { emit sendMessage(message, severity); };

signals:
	void sendMessage(QString message, int severity);

};